#!/Perl5.10/bin/perl
use Image::Magick;
#
# Get image file names.
#
opendir(DIR,".");
@imagefiles = grep(/^\w+(_r\d)*\.jpg$/i, readdir(DIR));
close(DIR);
#
# Create thumbnails.
#
foreach $imagefile (sort @imagefiles){
	($rotfile = $imagefile) =~ s/\.jpg/o\.jpg/i;
	$image=Image::Magick->new();
	$x=$image->ReadImage("$imagefile");
	warn "$x" if "$x";
	$image->Set(background=>'white');
	$copy=$image->Clone();
	$copy->Set(page=>'0x0+0+0');
	if($imagefile =~ /_r(\d)\.jpg/i){
		if($1 > 0 && $1 < 4){
			$copy->Rotate(90*$1);
		}
	}
	$copy->Write($rotfile);
}
